#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2000six4xi.py">
#<abstract4xi abstract = "fires to direction six and to distance 2000"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2six4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SIX - COORDINATE SIGNS OF SHOOT2SIX4XI: (X - ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2six20004xi



# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2six20004xi = {
                1:'-1006x33y-1727z',
                2:'-1014x560y-1630z',
                3:'-1020x87y-1717z',
                4:'-1026x1562y-709z',
                5:'-1027x499y-1641z',
                6:'-1031x143y-1707z',
                7:'-1037x438y-1653z',
                8:'-1039x200y-1696z',
                9:'-1042x377y-1664z',
                10:'-1044x258y-1686z',
                11:'-1045x317y-1675z',
                12:'-1053x1559y-677z',
                13:'-1102x1501y-728z',
                14:'-1129x1496y-696z',
                15:'-1175x1435y-747z',
                16:'-1201x1430y-714z',
                17:'-1243x1366y-765z',
                18:'-1262x1551y-5z',
                19:'-1269x1360y-733z',
                20:'-1307x1294y-783z',
                21:'-1333x1286y-752z',
                22:'-1341x1483y-25z',
                23:'-1367x1218y-802z',
                24:'-137x762y-1843z',
                25:'-1393x1210y-770z',
                26:'-1416x1410y-45z',
                27:'-1423x1140y-820z',
                28:'-1448x1130y-789z',
                29:'-1474x1059y-838z',
                30:'-1488x1334y-65z',
                31:'-1499x1048y-807z',
                32:'-1520x976y-856z',
                33:'-1545x964y-825z',
                34:'-1555x1254y-85z',
                35:'-1562x891y-874z',
                36:'-1586x878y-843z',
                37:'-1598x804y-892z',
                38:'-1618x1170y-105z',
                39:'-1630x715y-910z',
                40:'-1657x626y-928z',
                41:'-1676x1083y-125z',
                42:'-1678x535y-946z',
                43:'-1695x444y-963z',
                44:'-1703x829y-904z',
                45:'-1706x353y-981z',
                46:'-1710x80y-1033z',
                47:'-1712x262y-998z',
                48:'-1714x171y-1015z',
                49:'-1729x993y-145z',
                50:'-173x736y-1851z',
                51:'-176x1420y-1396z',
                52:'-1777x900y-165z',
                53:'-1821x805y-185z',
                54:'-1858x708y-205z',
                55:'-1891x609y-225z',
                56:'-1918x509y-245z',
                57:'-1939x407y-265z',
                58:'-1955x305y-284z',
                59:'-1966x202y-304z',
                60:'-1971x98y-324z',
                61:'-206x708y-1858z',
                62:'-211x1914y-538z',
                63:'-237x679y-1866z',
                64:'-248x1395y-1410z',
                65:'-265x648y-1873z',
                66:'-274x8y-1980z',
                67:'-290x616y-1880z',
                68:'-293x24y-1978z',
                69:'-310x1895y-558z',
                70:'-311x42y-1975z',
                71:'-313x584y-1886z',
                72:'-317x1367y-1424z',
                73:'-328x62y-1971z',
                74:'-334x550y-1893z',
                75:'-336x1900y-524z',
                76:'-343x84y-1968z',
                77:'-351x516y-1899z',
                78:'-357x107y-1964z',
                79:'-366x482y-1905z',
                80:'-370x133y-1960z',
                81:'-379x448y-1911z',
                82:'-380x159y-1956z',
                83:'-384x1334y-1438z',
                84:'-389x188y-1952z',
                85:'-389x413y-1917z',
                86:'-396x217y-1948z',
                87:'-396x379y-1923z',
                88:'-400x248y-1943z',
                89:'-401x345y-1928z',
                90:'-403x279y-1938z',
                91:'-403x312y-1933z',
                92:'-407x1870y-577z',
                93:'-433x1875y-544z',
                94:'-449x1299y-1452z',
                95:'-503x1841y-596z',
                96:'-511x1260y-1466z',
                97:'-529x1844y-563z',
                98:'-570x1218y-1479z',
                99:'-597x1806y-615z',
                100:'-59x809y-1827z',
                101:'-623x1808y-582z',
                102:'-626x1173y-1493z',
                103:'-679x1126y-1506z',
                104:'-688x1767y-634z',
                105:'-715x1768y-601z',
                106:'-728x1077y-1519z',
                107:'-775x1025y-1532z',
                108:'-777x1722y-653z',
                109:'-804x1722y-620z',
                110:'-817x971y-1545z',
                111:'-856x916y-1557z',
                112:'-863x1673y-672z',
                113:'-890x1672y-639z',
                114:'-892x859y-1570z',
                115:'-924x800y-1582z',
                116:'-946x1620y-691z',
                117:'-952x741y-1594z',
                118:'-973x1618y-658z',
                119:'-976x681y-1606z',
                120:'-997x621y-1618z',
                121:'-99x787y-1835z'}     


#"
#/>



# -------------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire2000six4xi" usage = "target function for charge2six4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------------------------
def fire2000six4xi(queue2six, consumer_channel2six, publisher_channel2six):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE2000SIX4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE2000SIX4XI -  QUEUE2SIX: ", queue2six)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE2000SIX4XI -  CONSUMER_CHANNEL2SIX: ", consumer_channel2six)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE2000SIX4XI -  PUBLISHER_CHANNEL2SIX: ", publisher_channel2six)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE2000SIX4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2six.put(shot2six20004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE2000SIX4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE2000SIX4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE2000SIX4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2six8shot2six2000x4xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2six8shot2six2000x4xi</nack2put4xi>" 
            
        publisher_channel2six.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE2000SIX4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
            # 
        
    except:
        print(" (STEP 3C/33) OF FIRE2000SIX4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE2000SIX4XI - RETURNING QUEUE OBJECT QUEUE2SIX: ", queue2six, " - TIME: ", time4xi())  
        # 
            
    return queue2six    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2000six4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
